% dgl_pendel2.m
% Kapitel 4.1.1
% Lsung der DGL fr das angetriebene Pendel mit Parameterbergabe

% Anfangswerte, Zeitspanne
x0 = [15/360*2*pi; 0];
tspan = [0 40];
% Geometrie, Masse, Reibung
l = 5; m = 30; Fr = 4;
% Integration der DGL
loesung = ode45(@xpunkt_pendel2, tspan, x0, [], l, m, Fr);
% grafische Ausgabe von phi und phipunkt
tint = linspace(tspan(1), tspan(2), 200);
x = deval(loesung, tint);
subplot(211)
plot(tint,x(1,:),tint,x(2,:))
axis([0 40 -0.5 0.4])
grid on
xlabel('Zeit [s]');title('Pendelbewegung')
legend('phi [rad]','phipunkt [rad/s]',4)
