% dgl_pendel_implizit.m
% Kapitel 4.1.4
% Implizite Lsung der DGL fr das angetriebene Pendel
set(0,'DefaultLineLineWidth',[1.0]);

% Geometrie, Masse, Reibung
l = 5; m = 30; g = 9.81; Fr = 4;

% Anfangswerte, Zeitspanne
x0 = [15/360*2*pi; 0];
tspan = [0 40];
% Anfangs-Ableitung aus der DGL berechnen
xp0 = [x0(2); -g/l*sin(x0(1))];

% Integration der DGL
loesung = ode15i(@f_pendel,tspan,x0,xp0,[],l,m,g,Fr);
% grafische Ausgabe von x1 und x2
tint = linspace(tspan(1),tspan(2),200);
x = deval(loesung, tint);
subplot(211)
plot(tint,x(1,:),tint,x(2,:))
axis([0 40 -0.5 0.4])
grid on
xlabel('Zeit [s]');title('Pendelbewegung')
legend('x_1 [rad]','x_2 [rad/s]',4)

% print -depsc dgl_pendel_implizit.eps
