% lsg_ball.m, Martin Rau
% Kapitel 4.4.3
% Lsung der DGL des springenden Balls

% Zeit, Anfangswerte, Optionen
tend = 20; tspan=[0 tend]; x0=[1; 0];
options = odeset('Events', @event_ball);
% Variablen zur Kummulation der Lsung
t = []; x = [];
% Schleife zur Lsungsbestimmung
while 1
  % Lsung freier Fall
  [tout, xout] = ode45(@xpunkt_ball_frei,tspan,x0,options);
  % Lsung zusammensetzen
  t = [t; tout]; x = [x; xout];
  if tout(length(tout))>=tend
    break
  end  
  % neue Anfangswerte, Zeitspanne
  tspan = [tout(length(tout)) tend]; x0 = [0 xout(length(tout),2)];
  % Lsung elastischer Sto
  [tout, xout] = ode45(@xpunkt_ball_elast,tspan,x0,options);
  % Lsung zusammensetzen
  t = [t; tout]; x = [x; xout];
  if tout(length(tout))>=tend
    break
  end  
  % neue Anfangswerte, Zeitspanne
  tspan = [tout(length(tout)) tend]; x0 = [0 xout(length(tout),2)];
end
% grafische Ausgabe
subplot(211); plot(t,x(:,1),t,x(:,2));
legend('Position','Geschwindigkeit',4); xlabel('Zeit [s]');
title('Lsungsverlauf'); grid on

% print -depsc lsg_ball_plot.eps
