% lsg_schwingkreis.m, Martin Rau
% Kapitel 4.4.2
% Lsung der DGL des elektrischen Schwingkreises

% Widerstand, Induktivitt, Kapizitt
R = 0.5; L = 1e-4; C = 1e-6;
% Zeit, Anfangswerte, Optionen
tend = 1e-3; tspan=[0 tend]; x0=[10; 0];
options = odeset('Events', @event_schwingkreis);
% Lsung der DGL vor dem Umschalten
[tout, xout] = ode45(@xpunkt_schwingkreis,tspan,x0,options,R,L,C);
% ersten Lsungsteil speichern
t = tout; x = xout;
% neue Anfangswerte setzen
tspan = [t(length(t)) tend]; x0 = [x(length(t),1); x(length(t),2)];
% Lsung der DGL nach dem Umschalten
[tout, xout] = ode45(@xpunkt_schwingkreis,tspan,x0,options,R,L,2*C);
% Lsung zusammensetzen
t = [t; tout]; x = [x; xout];
% grafische Ausgabe
subplot(211); plot(t,x(:,1),t,x(:,2));
legend('Spannung U_C','Strom I',4); xlabel('Zeit [s]');
title('Lsungsverlauf'); grid on

% print -depsc lsg_schwingkreis_plot.eps
